Subject: static linking?
From: [email-masked] (Steve Beaty)

12 Feb 1998 09:37:25 -0800
Message-ID: <[email-masked]>
Content-Type: text
To: [email-masked]

	this has got to be so obvious, i'm seeing only forest...  how
	does one create a statically-linked executable with gcc/g++/ld?
	i've tried -static with gcc and -Bstatic with ld, and neither seem
	to work.  linking in crt0.o, libcygwin.a, etc. doesn't do the
	job either.  what i want is to run an executable compiled under
	gnu-win32 run on a machine without gnu-win32.  i've read the FAQ,
	searched the mailing list archives and altavista without luck.

	while i'm asking, is there a way to convert an executable that
	depends on cygwin.dll to a statically-linked one?

	thanks much,

-- 
Steve Beaty                                           Assistant Professor
Metro State College of Denver                        [email-masked]
VOX: (303) 556-5321                                 Science Building 225A
FAX: (303) 556-5381                         http://clem.mscd.edu/~beatys/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".